#!/bin/bash
# $Id: make_clean.sh Exp $
#
# Author : Michel Dubois
#

if [ -z ${SIMATOMHOME} ]; then
	version=0.2

	#Yann Le Guyadec
	#basedir=/usr/local/produits

	#IUT de Vannes
	#basedir=/usr/local/alt/produits

	#Michel DUBOIS
	basedir=/home/simulatom

	cd ${basedir}/simulatom-${version}
	source setup.bash
fi

cd $ODEHOME
rm *~
./drawstuff_old.sh
make clean
./drawstuff_new.sh
make clean
\rm config/user-settings
cp ${SIMATOMHOME}/.outil/user-settings.distrib config/user-settings 
\rm -rf lib
mkdir lib
\rm -rf bin/frame
mkdir bin/frame
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_ode.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_chain1.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_chain2.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_hinge.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_slider.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_collision.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_boxstack.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_buggy.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_crash.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_joints.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_space.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_I.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_step.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_friction.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_space_stress.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_moving_trimesh.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe ode/test/test_trimesh.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe drawstuff.new/dstest/dstest.exe
cp -f ${SIMATOMHOME}/.outil/ode.exe drawstuff.old/dstest/dstest.exe
cd $UBERSIMHOME
rm *~
make clean
cd src/utils
make clean -f Makefile.gcc-so
cd ../sim
make clean -f Makefile.gcc-so
cd ../..
cp -f ${SIMATOMHOME}/.outil/ode.exe src/sim/ubersim
\rm -rf bin/frame
mkdir bin/frame
\rm -rf lib
mkdir lib
cd bin
rm ubersim
ln ../src/sim/ubersim ubersim
cd $SIMATOMHOME
rm *~
rm .outil/*~
rm src/control/*~

rm -rf $SIMATOMHOME/frame
rm -rf $SIMATOMHOME/video
mkdir $SIMATOMHOME/frame
mkdir $SIMATOMHOME/video
rm $SIMATOMHOME/workspace/control/Release/control
rm $SIMATOMHOME/workspace/control/Release/control.o

cd $SIMATOMHOME
$SIMATOMHOME/make_init.sh
make clean
cd src/simulatom
make clean -f Makefile.gcc-so
cd ../../..
