/*=========================================================================
Simulatom Source Code Release
-------------------------------------------------------------------------
Copyright (C) 2003 Michel Dubois and Yann Le Guyadec 
                   {Michel.Dubois, Yann.Le-Guyadec}@univ-ubs.fr
University of South Britanny
-------------------------------------------------------------------------
This software is distributed under the GNU General Public License,
version 2.  If you do not have a copy of this licence, visit
www.gnu.org, or write: Free Software Foundation, 59 Temple Place,
Suite 330 Boston, MA 02111-1307 USA.  This program is distributed
in the hope that it will be useful, but WITHOUT ANY WARRANTY,
including MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-------------------------------------------------------------------------*/

/*
  * changes :
  *  - 05/12/03 MD Creation !
  */


#ifndef __API__
#define __API__

#include "Accelerometer.h"
#include "Atom.h"
#include "CartesianPosition.h"
#include "Clock.h"
#include "ForceSensor.h"
#include "IRReceiver.h"
#include "IRSender.h"
#include "Leg.h"
#include "Molecule.h"
#include "Sensor.h"
#include "ServoMotor.h"
#include "Time.h"
#include "TouchSensor.h"

/**
  * Espace de nom pour l'interface de programmation des atomes robotiques
  *
  * Il contient toutes les classes de l'API.
  *
  *@author Michel Dubois, Yann Le Guyadec
  *@version du 05/12/03 (5 decembre 2003)
  *@since 0.1
  */


namespace API {
}

#endif // __API__
