/***************************************************************************
                          GeometryCollider.h  -  description
                             -------------------
    begin                : dim fév 29 2004
    copyright            : (C) 2004 by Michel Dubois, Yann Le Guyadec 
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __SIM_GEOMETRYCOLLISIONCONTROLLER_H__
#define __SIM_GEOMETRYCOLLISIONCONTROLLER_H__

#include "CollisionController.h"
/**
  * changes :
  *  - 29/2/04 MD Creation !
  */

class Geometry;
class Surface;

class GeometryCollider : public CollisionController
{
	public:
		GeometryCollider ();
		virtual ~GeometryCollider ();

	public:
		Surface*   getSurface   ();

		void setSurface (Surface* surface);

	public:
//		virtual void handleCollision (Geometry* geometry, Collision& collision);

	protected:
		Surface*   surface;
};

#endif
