/***************************************************************************
                          LegGeometry.h  -  description
                             -------------------
    begin                : jeu mar 18 2004
    copyright            : (C) 2004 by Michel Dubois, Yann Le Guyadec 
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __SIM_LEGGEOMETRY_H__
#define __SIM_LEGGEOMETRY_H__

#include "Geometry.h"
#include "BoxGeometry.h"
#include "SphereGeometry.h"
/**
  * changes :
  *  - 22/6/03 Ajout methode print() !
  */

class LegGeometry : public Geometry
{
	public:
		LegGeometry (Real legnth, Real radius, char* name = "Leg Geometry", int geometry=0, int num=0);
		virtual ~LegGeometry ();

	public:
		virtual void draw ();
    virtual void print ();

	protected:
		Real length;
		Real radius;
    int numleg;
    dGeomID boxGeometry;
    dGeomID sphereGeometry;
};

#endif
