/***************************************************************************
                          Time.h  -  description
                             -------------------
    begin                : dim jui 6 2003
    copyright            : (C) 2003 by Michel Dubois, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Modle statique
/*
  * changes :
  *  - 08/06/03 MD Creation !
  */


#ifndef __MDTIME__
#define __MDTIME__

namespace API {

class Time
{
  public:
    Time  ();
		Time  (unsigned int sec, unsigned int min, unsigned int hour, unsigned int day, unsigned int month, unsigned int year);
    Time  (const unsigned int* time);
    Time  (const Time * time);
		Time  (const Time& time);
    virtual ~Time();
    const Time& operator  = (const Time& time);
    unsigned int& Time::operator [] (const unsigned int i) const;
    operator unsigned int* ();

    unsigned int second;
    unsigned int minute;
    unsigned int hour;
    unsigned int day;
    unsigned int month;
    unsigned int year;
    
};// END CLASS DEFINITION Time

}
#endif // __TIME__
