/***************************************************************************
                          Sensor.cpp  -  description
                             -------------------
    begin                : mar juin 8 2003
    copyright            : (C) 2003 by Michel DUBOIS, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


// Modele statique
/**
  * changes :
  *  - 08/06/03 MD Creation !
  */

#include "mmgr.h"
#include "Sensor.h"

using namespace API;

Sensor::Sensor()
{
  this->activateMode=true;
  this->rawValue=0;
}

Sensor::~Sensor()
{

}

bool Sensor::getActivateMode() const
{
  return activateMode;
}  

double Sensor::getRawValue() const
{
    return rawValue;
}

void Sensor::setActivateMode(bool onoff)
{
  this->activateMode=onoff;
}

void Sensor::setRawValue(double aValue)
{
  if (activateMode)
    this->rawValue=aValue;
  else
    this->rawValue=0;
}
