/***************************************************************************
                          SimJoint.h  -  description
                             -------------------
    begin                : mar jui 29 2003
    copyright            : (C) 2003 by Michel DUBOIS, Yann Le Guyadec 
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SIMJOINT_H
#define SIMJOINT_H

#include "Joint.h"
#include "Controller.h"
#include "SimRigidBody.h"
#include "Graph.h"

/**
  *@author Michel DUBOIS, Yann Le Guyadec 
  */

class SimJoint : public Joint, public Connection , public Controller {
public: 
	SimJoint(SimRigidBody * body1, SimRigidBody * body2);
	~SimJoint();
  void swap();
  void setIsEnabled (const bool isEnabled);
  void virtual print() const;
};

#endif
