/***************************************************************************
                          SimLink.h  -  description
                             -------------------
    begin                : ven jun 27 2003
    copyright            : (C) 2003 by Yann Le Guyadec, Michel DUBOIS
    email                : Yann.Le-Guyadec@univ-ubs.fr, Michel.Dubois@univ-ubs.fr 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SIMLINK_H
#define SIMLINK_H
#include "SimLeg.h"
#include "FixedJoint.h"

#ifndef LEGLINK
/**
  *@author Yann Le Guyadec, Michel DUBOIS
  */

class SimLeg;
class SimLink
{
  private :
    SimLeg * sleg1;
    SimLeg * sleg2;

    HingeJoint * linkjoint;
  //FixedJoint * linkjoint;

    RigidBody * bodyLeg1;
    RigidBody * bodyLeg2;
    RigidBody * bodyLink;

  public: 
	  SimLink(SimLeg * aSimLeg, SimLeg * anotherSimLeg);
	  ~SimLink();
};

#endif
#endif
