/***************************************************************************
                          SimRigidBody.h  -  description
                             -------------------
    begin                : mar jui 29 2003
    copyright            : (C) 2003 by Michel DUBOIS, Yann Le Guyadec 
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SIMRIGIDBODY_H
#define SIMRIGIDBODY_H

#include "RigidBody.h"
#include "Graph.h"
#include "SimIsland.h"


/**
  *@author Michel DUBOIS, Yann Le Guyadec 
  */

class SimIsland;

class SimRigidBody : public RigidBody, public Vertex  {
private :
  //SimIsland * simisland;
public: 
	SimRigidBody();
	~SimRigidBody();
  SimIsland * getSimIsland() const;
  void setSimIsland(SimIsland * aSimIsland);
  void setIsEnabled (const bool isEnabled);
  bool getIsEnabled () const;
  void print();
  Island * getIsland() const;
  void setIsland(Island * aIsland);
  
};

#endif
