/***************************************************************************
                          SimWorld.h  -  description
                             -------------------
    begin                : dim jui 6 2003
    copyright            : (C) 2003 by Yann Le Guyadec, Michel DUBOIS
    email                : Yann.Le-Guyadec@univ-ubs.fr, Michel.Dubois@univ-ubs.fr 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SIMWORLD_H
#define SIMWORLD_H


/**
  *@author Yann Le Guyadec, Michel DUBOIS
  */

#include "Node.h"
#include "GeometryCollider.h"
#include "RigidBody.h"

/**
  * changes :
  *  - 22/6/03 Ajout methode print() !
  */

class Geometry;

class SimWorld : public Node
{
  protected:
    GeometryCollider * groundCollider;

  public:
		SimWorld          (char* name = "Simulation World");
		virtual ~SimWorld ();
    void print             ();
};

#endif
