/***************************************************************************
                          IRSender.cpp  -  description
                             -------------------
    begin                : mar juin 8 2003
    copyright            : (C) 2003 by Michel DUBOIS, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Modle statique
/**
  * changes :
  *  - 08/06/03 MD Creation !
  */

#include "mmgr.h"
#include "IRSender.h"

using namespace API;

IRSender::IRSender()
{
  this->leg=0;
  this->valueToSend=0;
  this->switchmode=false;

}

IRSender::~IRSender()
{

}

double IRSender::getValueToSend() const
{
  return this->valueToSend;
}            

bool IRSender::getSwitch() const
{
  return this->switchmode;
}

void IRSender::setValueToSend(double aValue)
{
  this->valueToSend=aValue;
}

void IRSender::setSwitch(bool onoff)
{
  this->switchmode=onoff;
}



Leg * IRSender::getLeg() const
{
  return this->leg;
}

void IRSender::setLeg(Leg * aLeg)
{
  this->leg=aLeg;
}
