#!/bin/bash
# $Id: make_simdistrib.sh Exp $
#
# Author : Michel Dubois
#

version=0.2

if [ -z ${SIMATOMHOME} ]; then
	#Yann Le Guyadec
	#basedir=/usr/local/produits

	#IUT de Vannes
	#basedir=/usr/local/alt/produits

	#Michel DUBOIS
	basedir=/home/simulatom

	cd ${basedir}/simulatom-${version}
	source setup.bash
fi
${SIMATOMHOME}/.outil/make_clean.sh
cd $SIMATOMHOME/..
tar -cvf Simulatom-release-${version}.tar simulatom-${version}/mem*
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/.outil
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/config
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/frame
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/video
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/include
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/bin
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/lib
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/src
#tar -uvf Simulatom-release-${version}.tar simulatom-${version}/man
#tar -uvf Simulatom-release-${version}.tar simulatom-${version}/doc
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/workspace
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/AUTHORS
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/ChangeLog
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/COPYING
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/INSTALL
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/README
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/TODO
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/kdevelop
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/frame_*
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/leak_*
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/refer*
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/make_*
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/mpeg_*
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/Makefile*
#tar -uvf Simulatom-release-${version}.tar simulatom-${version}/browse*.sh
#tar -uvf Simulatom-release-${version}.tar simulatom-${version}/simul_env.csh
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/setup.*
tar -uvf Simulatom-release-${version}.tar simulatom-${version}/make_env.sh
gzip Simulatom-release-${version}.tar
