/***************************************************************************
                          Accelerometer.h  -  description
                             -------------------
    begin                : lun jui 08 2003
    copyright            : (C) 2003 by Michel Dubois, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Modle statique
/*
  * changes :
  *  - 08/06/03 MD Creation (accel)!
  */


#ifndef __ACCELEROMETER__
#define __ACCELEROMETER__


// Include files
#include "Sensor.h"
#include "Atom.h"
namespace API {
class Atom;
/**
  *@author Michel Dubois, Yann Le Guyadec
  */
class Accelerometer : public Sensor
{
  public:

  Accelerometer();
  virtual ~Accelerometer();
  Atom * getAtom() const;
  unsigned int getID() const;
  double toMSminus2() const;
  double toG() const;

  protected:
  void setAtom(Atom * anAtom);
  void setID(unsigned int anAccelerometerID);
  Atom * atom;
  unsigned int ID;
  

};// END CLASS DEFINITION Accelerometer
}
#endif // __ACCELEROMETER__
