/***************************************************************************
                          Clock.h  -  description
                             -------------------
    begin                : mar jun 08 2003
    copyright            : (C) 2003 by Michel Dubois, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


// Modle statique
/*
  * changes :
  *  - 08/06/03 MD Creation !
  */


#ifndef __CLOCK__
#define __CLOCK__


// Include files
#include "Sensor.h"
#include "Time.h"
#include "Atom.h"

namespace API {
class Atom;
class Time;
class Clock : public Sensor
{
 public:

  Clock();
  virtual ~Clock();
  Atom * getAtom() const;
  Time&  getTime() ;

  protected:
  void setAtom(Atom * anAtom);
  void setTime(const Time& aTime);
  Atom * atom;
  Time time;

};// END CLASS DEFINITION Clock
}
#endif // __CLOCK__
