/***************************************************************************
                          Girometer.h  -  description
                             -------------------
    begin                : mer jun 08 2003
    copyright            : (C) 2003 by Michel Dubois, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/



#ifndef __GIROMETER__
#define __GIROMETER__


// Include files
#include "Sensor.h"
#include "Atom.h"
namespace API {
  class Atom;
  class Girometer : public Sensor
  {
    public:
      Girometer();
      virtual ~Girometer();
      Atom * getAtom() const;
      unsigned int getID() const;
      double toRadiusMinus1() const;

    protected:
      void setAtom(Atom * anAtom);
      void setID(unsigned int anAccelerometerID);
      Atom * atom;
      unsigned int ID;

      
  };// END CLASS DEFINITION Girometer
}
#endif // __GIROMETER__
