/***************************************************************************
                          IRSender.h  -  description
                             -------------------
    begin                : mer jun 08 2003
    copyright            : (C) 2003 by Michel Dubois, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Modle statique
/*
  * changes :
  *  - 08/06/03 MD Creation !
  */


#ifndef __IRSENDER__
#define __IRSENDER__

namespace API {
  class Leg;
  class IRSender
  {
    public:
      IRSender();
      virtual ~IRSender();
      double getValueToSend() const;
      bool getSwitch() const;
      Leg * getLeg() const;
      void setSwitch(bool onoff);

    protected:
      void setLeg(Leg * aLeg);
      void setValueToSend(double aValue);
      Leg * leg;
      double valueToSend;
      bool switchmode;
      
  };// END CLASS DEFINITION IRSender
}
#endif // __IRSENDER__
