/***************************************************************************
                          RayGeometry.h  -  description
                             -------------------
    begin                : dim jui 20 2003
    copyright            : (C) 2003 by Michel DUBOIS, Yann Le Guyadec 
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RAYGEOMETRY_H
#define RAYGEOMETRY_H

#include <Geometry.h>

/**
  *@author Michel DUBOIS, Yann Le Guyadec 
  */

class RayGeometry : public Geometry
{
  public: 
		RayGeometry          (Real length, char* name = "Ray Geometry");
	  virtual ~RayGeometry();

  public:
		virtual void draw ();
    virtual void print ();

	protected:
		Real length;
    
};

#endif
