/***************************************************************************
                          CartesianPosition.cpp  -  description
                             -------------------
    begin                : mar juin 8 2003
    copyright            : (C) 2003 by Michel DUBOIS, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


// Modle statique
/**
  * changes :
  *  - 08/06/03 MD Creation !
  */


#include <stdio.h>
#include "mmgr.h"
#include "CartesianPosition.h"

using namespace API;

CartesianPosition::CartesianPosition()
{
  x=0;
  y=0;
  z=0;
}

CartesianPosition::~CartesianPosition()
{
//  printf ("Destruction de CartesianPosition(%f,%f,%f)\n",x, y, z);
}

CartesianPosition::CartesianPosition(double xCoordonate, double yCoordonate, double zCoordonate)
{
  x=xCoordonate;
  y=yCoordonate;
  z=zCoordonate;
}

CartesianPosition::CartesianPosition(const Vector3& aVector3)
{
  x=aVector3.x;
  y=aVector3.y;
  z=aVector3.z;
}

double CartesianPosition::getX() const
{
	return this->x;
}

double CartesianPosition::getY() const
{
	return this->y;
}

double CartesianPosition::getZ() const
{
	return this->z;
}

void CartesianPosition::setX(double aCoordonate)
{
  this->x=aCoordonate;	
}

void CartesianPosition::setY(double aCoordonate)
{
	this->y=aCoordonate;
}

void CartesianPosition::setZ(double aCoordonate)
{
	this->z=aCoordonate;
}
