/***************************************************************************
                          Clock.cpp  -  description
                             -------------------
    begin                : mar juin 8 2003
    copyright            : (C) 2003 by Michel DUBOIS, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


// Modle statique
/**
  * changes :
  *  - 08/06/03 MD Creation !
  */

#include "mmgr.h"
#include "Clock.h"

using namespace API;

Clock::Clock()
{
  this->atom=0;
  this->time=Time(0,0,0,0,0,0);
}

Clock::~Clock()
{
}

Atom * Clock::getAtom() const
{
  return this->atom;
}

Time&  Clock::getTime()
{
  return time;
}

void Clock::setAtom(Atom * anAtom)
{
  this->atom=anAtom;
}

void Clock::setTime(const Time& aTime)
{
  this->time=aTime;
}
