/***************************************************************************
                          FixedJoint.cpp  -  description
                             -------------------
    begin                : sam jui 5 2003
    copyright            : (C) 2003 by Michel DUBOIS, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <ode/ode.h>
#include "mmgr.h"
#include "FixedJoint.h"
#include "Simulator.h"
#include "RigidBody.h"

FixedJoint::FixedJoint(RigidBody* rigidBody1, RigidBody* rigidBody2) : Joint (rigidBody1, rigidBody2){
  joint = dJointCreateFixed (Simulator::getInstance ()->getWorld (), 0);
	dJointAttach (joint, rigidBody1->getBody (), rigidBody2->getBody ());
  dJointSetFixed(joint);

}
FixedJoint::~FixedJoint(){
  //dJointDestroy(joint);
}
