/***************************************************************************
                          GeometryCollider.cpp  -  description
                             -------------------
    begin                : dim fév 29 2004
    copyright            : (C) 2004 by Michel Dubois, Yann Le Guyadec 
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <ode/ode.h>

#include "mmgr.h"

#include "GeometryCollider.h"
#include "Collision.h"
#include "CollisionManager.h"
#include "Node.h"
#include "Geometry.h"
#include "RigidBody.h"
#include "RigidBodyCollider.h"
#include "Simulator.h"
#include "Spatial.h"
#include "Surface.h"
/**
  * changes :
  *  - 22/6/03 MD Rien !
  */

/*******************************/

GeometryCollider::GeometryCollider ()
{
	this->surface   = 0;

}

/*******************************/

GeometryCollider::~GeometryCollider ()
{
	delete surface;
}

/*******************************/

Surface* GeometryCollider::getSurface ()
{
	return surface;
}

/*******************************/

void GeometryCollider::setSurface (Surface* surface)
{
	this->surface = surface;
}

/*******************************/
/*
void GeometryCollider::handleCollision (Geometry* geometry, Collision& collision)
{

	Simulator* simulator = Simulator::getInstance ();

	RigidBodyCollider* collider = dynamic_cast<RigidBodyCollider*> (geometry->getCollisionController ());

	if (collider)
	{
		RigidBody* otherRigidBody = collider->getRigidBody ();
		Surface s;
		if (surface)
		{
			s = *surface;
		}

		Surface* otherSurface = collider->getSurface ();

		if (otherSurface)
		{
		  s += *otherSurface;
		}

		collision.contact->surface = s.getSurfaceParameters ();
     
    Vector3 v = s.getFrictionDirection ();

	  collision.contact->fdir1[0] = v.x;
		collision.contact->fdir1[1] = v.y;
		collision.contact->fdir1[2] = v.z;
     
    simulator->addCollision (otherRigidBody, collision);
	}
}
*/
/*******************************/
 