/***************************************************************************
                          IRReceiver.h  -  description
                             -------------------
    begin                : mer jun 08 2003
    copyright            : (C) 2003 by Michel Dubois, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


// Modle statique
/*
  * changes :
  *  - 08/06/03 MD Creation !
  */


#ifndef __IRRECEIVER__
#define __IRRECEIVER__


// Include files
#include "Sensor.h"
#include "Leg.h"

namespace API {
  //class Leg;
  class IRReceiver : public Sensor
  {
    public:

      IRReceiver();
      virtual ~IRReceiver();
      int getIRValue() const;
      int getMinValue() const;
      int getMaxValue() const;
      Leg * getLeg() const;

    protected:  
      void setLeg(Leg * aLeg);
      Leg * leg;
      int minValue;
      int maxValue;
            
  };// END CLASS DEFINITION IRReceiver
}
#endif // __IRRECEIVER__
