/***************************************************************************
                          Accelerometer.cpp  -  description
                             -------------------
    begin                : mar juin 8 2003
    copyright            : (C) 2003 by Michel DUBOIS, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Modle statique

#include "mmgr.h"
#include "SphericPosition.h"

using namespace API;


SphericPosition::SphericPosition()
{
  this->alpha=0;
  this->beta=0;
}

SphericPosition::SphericPosition(double alpha, double beta)
{
  this->alpha=alpha;
  this->beta=beta;
}

void SphericPosition::setAlpha(double aRadius)
{
  this->alpha=aRadius;
}

void SphericPosition::setBeta(double aRadius)
{
  this->beta=aRadius;
}

/*
void SphericPosition::setPosition(double alpha, double beta) {
  this->alpha=alpha;
  this->beta=beta;
}
*/


double SphericPosition::getAlpha()
{
  return this->alpha;
}


double SphericPosition::getBeta()
{
  return this->beta;
}

