/***************************************************************************
                          Girometer.cpp  -  description
                             -------------------
    begin                : mar juin 8 2003
    copyright            : (C) 2003 by Michel DUBOIS, Yann Le Guyadec
    email                : Michel.Dubois@univ-ubs.fr, Yann.Le-Guyadec@univ-ubs.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Modle statique
/**
  * changes :
  *  - 08/06/03 MD Creation !
  */



#include "mmgr.h"
#include "Girometer.h"

using namespace API;

Girometer::Girometer()
{
   this->atom=0;
   this->ID=0;
}

Girometer::~Girometer()
{
}


Atom * Girometer::getAtom() const
{
  return this->atom;
}

unsigned int Girometer::getID() const
{
  return this->ID;
}

void Girometer::setAtom(Atom * anAtom)
{
  this->atom=anAtom;
}

void Girometer::setID(unsigned int anAccelerometerID)
{
  this->ID=anAccelerometerID;
}

double Girometer::toRadiusMinus1() const
{

}
